package co.dc.aptiv.pojo;

import java.io.Serializable;

import co.dc.commons.annotation.Transient;
import co.dc.commons.basedao.CommonPojoAbstract;
import co.dc.commons.utils.DateTimeUtil;

/**
 * @describe: 物料
 * @author: liuxinglong
 * @version: 2018/4/17 15:21
 */
public class MaterielPojo extends CommonPojoAbstract implements Serializable {
    private static final long serialVersionUID = 1L;
    @Transient
    public static final String tableName = "materiel";

    @Override
    public String getTableName() {
        return tableName;
    }

    private long id;
    /**
     * 物料名称
     */
    private String dpn;
    /**
     * 物料编号
     */
    private String cpn;
    /**
     * 类型
     */
    private String type;
    /**
     * 最大序号
     */
    private long maxNum;
    /**
     * 创建时间
     */
    private String createTime = DateTimeUtil.getDateTimeString();
    /**
     * 修改时间
     */
    private String modifyTime = DateTimeUtil.getDateTimeString();

    /**
     * 是否删除
     */
    private Integer delFlag;

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public String getCpn() {
        return cpn;
    }

    public void setCpn(String cpn) {
        this.cpn = cpn;
    }

    public String getDpn() {
        return dpn;
    }

    public void setDpn(String dpn) {
        this.dpn = dpn;
    }

    public long getMaxNum() {
        return maxNum;
    }

    public void setMaxNum(long maxNum) {
        this.maxNum = maxNum;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getModifyTime() {
        return modifyTime;
    }

    public void setModifyTime(String modifyTime) {
        this.modifyTime = modifyTime;
    }

    public Integer getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(Integer delFlag) {
        this.delFlag = delFlag;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    @Override
    public String toString() {
        return "MaterielPojo{" +
                "id=" + id +
                ", dpn='" + dpn + '\'' +
                ", cpn='" + cpn + '\'' +
                ", type='" + type + '\'' +
                ", maxNum=" + maxNum +
                ", createTime='" + createTime + '\'' +
                ", modifyTime='" + modifyTime + '\'' +
                ", delFlag=" + delFlag +
                '}';
    }
}
